POST api/NTSetting/PostCaseOutComeOption
Request Information
URI Parameters
None.
Body Parameters
CaseOutComeOptionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
String length: inclusive between 0 and 1000 |
|
| COSQuestionId | integer |
None. |
|
| NeedMoreInfo | boolean |
None. |
|
| ParentId | integer |
None. |
|
| QuestionName | string |
String length: inclusive between 0 and 200 |
|
| AnswerValue | integer |
None. |
|
| AnswerDetail | string |
String length: inclusive between 0 and 500 |
|
| ParentLevel1 | integer |
None. |
|
| COSFormId | integer |
None. |
|
| Code | string |
String length: inclusive between 0 and 50 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"Name": "sample string 2",
"COSQuestionId": 3,
"NeedMoreInfo": true,
"ParentId": 1,
"QuestionName": "sample string 5",
"AnswerValue": 1,
"AnswerDetail": "sample string 6",
"ParentLevel1": 1,
"COSFormId": 1,
"Code": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:45:03.6795883-07:00",
"DateUpdated": "2026-06-20T12:45:03.6795883-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfCaseOutComeOptionDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | CaseOutComeOptionDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"Name": "sample string 2",
"COSQuestionId": 3,
"NeedMoreInfo": true,
"ParentId": 1,
"QuestionName": "sample string 5",
"AnswerValue": 1,
"AnswerDetail": "sample string 6",
"ParentLevel1": 1,
"COSFormId": 1,
"Code": "sample string 7",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:45:03.6801185-07:00",
"DateUpdated": "2026-06-20T12:45:03.6801185-07:00",
"UserIDCreated": 11,
"UserIDUpdated": 12,
"CompanyCode": "sample string 13",
"IsExcludeDiscount": true
},
"totalCount": 3
}